commit d9abbc45b533464c7d5305d8f36cbd2269d1ad73
Author: freddy77 <freddy77>
Date:   Sun Jan 13 20:39:27 2008 +0000

    backported cancel error set

diff --git b/ChangeLog a/ChangeLog
index 5fda0d4..403a684 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,6 +1,3 @@
-Sun Jan 13 21:38:02 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* src/odbc/odbc.c: backported cancel error set
-
 Sun Jan 13 21:36:56 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac: add missing tests for heavy loads backport
 
@@ -54,4 +51,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2454.2.11 2008/01/13 20:39:27 freddy77 Exp $
+$Id: ChangeLog,v 1.2454.2.10 2008/01/13 20:37:59 freddy77 Exp $
diff --git b/src/odbc/odbc.c a/src/odbc/odbc.c
index c8dc89f..60c8e00 100644
--- b/src/odbc/odbc.c
+++ a/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.3 2008/01/13 20:39:27 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.2 2008/01/10 13:13:46 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -3260,7 +3260,6 @@ odbc_process_tokens(TDS_STMT * stmt, unsigned flag)
 		case TDS_NO_MORE_RESULTS:
 			return TDS_CMD_DONE;
 		case TDS_CANCELLED:
-			odbc_errs_add(&stmt->errs, "HY008", NULL);
 		case TDS_FAIL:
 			return TDS_CMD_FAIL;
 		}
@@ -4188,8 +4187,6 @@ SQLPrepare(SQLHSTMT hstmt, SQLCHAR FAR * szSqlStr, SQLINTEGER cbSqlStr)
 				continue;
 			case TDS_NO_MORE_RESULTS:
 				break;
-			case TDS_CANCELLED:
-				odbc_errs_add(&stmt->errs, "HY008", NULL);
 			default:
 				stmt->errs.lastrc = SQL_ERROR;
 				break;
@@ -4591,7 +4588,7 @@ SQLGetData(SQLHSTMT hstmt, SQLUSMALLINT icol, SQLSMALLINT fCType, SQLPOINTER rgb
 			int readed = cbValueMax;
 
 			/* FIXME test on destination char ??? */
-			if (stmt->dbc->env->attr.output_nts != SQL_FALSE && fCType == SQL_C_CHAR && readed > 0)
+			if (stmt->dbc->env->attr.output_nts != SQL_FALSE && fCType == SQL_C_CHAR /* is_char_type(nSybType) */ && readed > 0)
 				--readed;
 			if (readed > *pcbValue)
 				readed = *pcbValue;
@@ -5686,9 +5683,6 @@ SQLGetTypeInfo(SQLHSTMT hstmt, SQLSMALLINT fSqlType)
 			if (n >= varchar_pos && varchar_pos > 0)
 				goto redo;
 			break;
-		case TDS_CANCELLED:
-			odbc_errs_add(&stmt->errs, "HY008", NULL);
-			break;
 		}
 		if (!tds->current_results)
 			break;

